Package org.codehaus.groovy.transform.stc

# Class StaticTypeCheckingSupport.ObjectArrayStaticTypesHelper

java.lang.Object
org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.ObjectArrayStaticTypesHelper

Enclosing class:
  StaticTypeCheckingSupport

public static class StaticTypeCheckingSupport.ObjectArrayStaticTypesHelper extends Object
A DGM-like class which adds support for method calls which are handled by the Groovy compiler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectArrayStaticTypesHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T`
  `getAt(T[] array, int index)`
  `static <T, U extends T>
  void`
  `putAt(T[] array, int index, U value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectArrayStaticTypesHelper

    public ObjectArrayStaticTypesHelper()

- ## Method Details

  - ### getAt

    public static <T> T getAt(T[] array, int index)

  - ### putAt

    public static <T, U extends T> void putAt(T[] array, int index, U value)